Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenPlugin

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenPluginImpl

    public interface GenPlugin

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Plugin'.

The following features are supported:

- `Editor Gen`
- `ID`
- `Name`
- `Provider`
- `Version`
- `Printing Enabled`
- `Required Plugins`
- `Activator Class Name`

See Also:
  `GMFGenPackage.getGenPlugin()`
** Generated **
Model:

Method Summary
`java.lang.String` `getActivatorClassName()` Returns the value of the 'Activator Class Name' attribute
`java.lang.String` `getActivatorQualifiedClassName()`
`org.eclipse.emf.common.util.EList<java.lang.String>` `getAllRequiredPlugins()` Computed additional dependencies (in form of plug-in identifiers), including those explicitly specified by user and those derived from referenced genmodels
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getID()` Returns the value of the 'ID' attribute
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`java.lang.String` `getProvider()` Returns the value of the 'Provider' attribute.
`org.eclipse.emf.common.util.EList<java.lang.String>` `getRequiredPlugins()` Returns the value of the 'Required Plugins' attribute list.
`java.lang.String` `getVersion()` Returns the value of the 'Version' attribute.
`boolean` `isPrintingEnabled()` Returns the value of the 'Printing Enabled' attribute
`void` `setActivatorClassName(java.lang.String value)` Sets the value of the '`Activator Class Name`' attribute
`void` `setID(java.lang.String value)` Sets the value of the '`ID`' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setPrintingEnabled(boolean value)` Sets the value of the '`Printing Enabled`' attribute
`void` `setProvider(java.lang.String value)` Sets the value of the '`Provider`' attribute
`void` `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Plugin`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenPlugin_EditorGen()`, `GenEditorGenerator.getPlugin()`
  ** Generated **
  Model:
    opposite="plugin" transient="false" changeable="false"

### getID

    java.lang.String getID()

  Returns the value of the 'ID' attribute.

  If the meaning of the 'ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ID' attribute.
  See Also:
    `setID(String)`, `GMFGenPackage.getGenPlugin_ID()`
  ** Generated **
  Model:

### setID

    void setID(java.lang.String value)

  Sets the value of the '`ID`' attribute.

  Parameters:
    `value` - the new value of the 'ID' attribute.
  See Also:
    `getID()`
  ** Generated **

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `GMFGenPackage.getGenPlugin_Name()`
  ** Generated **
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  ** Generated **

### getProvider

    java.lang.String getProvider()

  Returns the value of the 'Provider' attribute. The default value is `"Sample Plugin Provider, Inc"`.

  If the meaning of the 'Provider' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Provider' attribute.
  See Also:
    `setProvider(String)`, `GMFGenPackage.getGenPlugin_Provider()`
  ** Generated **
  Model:
    default="Sample Plugin Provider, Inc"

### setProvider

    void setProvider(java.lang.String value)

  Sets the value of the '`Provider`' attribute.

  Parameters:
    `value` - the new value of the 'Provider' attribute.
  See Also:
    `getProvider()`
  ** Generated **

### getVersion

    java.lang.String getVersion()

  Returns the value of the 'Version' attribute. The default value is `"1.0.0.qualifier"`.

  If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Version' attribute.
  See Also:
    `setVersion(String)`, `GMFGenPackage.getGenPlugin_Version()`
  ** Generated **
  Model:
    default="1.0.0.qualifier"

### setVersion

    void setVersion(java.lang.String value)

  Sets the value of the '`Version`' attribute.

  Parameters:
    `value` - the new value of the 'Version' attribute.
  See Also:
    `getVersion()`
  ** Generated **

### isPrintingEnabled

    boolean isPrintingEnabled()

  Returns the value of the 'Printing Enabled' attribute.

  If the meaning of the 'Printing Enabled' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Printing Enabled' attribute.
  See Also:
    `setPrintingEnabled(boolean)`, `GMFGenPackage.getGenPlugin_PrintingEnabled()`
  ** Generated **
  Model:

### setPrintingEnabled

    void setPrintingEnabled(boolean value)

  Sets the value of the '`Printing Enabled`' attribute.

  Parameters:
    `value` - the new value of the 'Printing Enabled' attribute.
  See Also:
    `isPrintingEnabled()`
  ** Generated **

### getAllRequiredPlugins

    org.eclipse.emf.common.util.EList<java.lang.String> getAllRequiredPlugins()

  Computed additional dependencies (in form of plug-in identifiers), including those explicitly specified by user and those derived from referenced genmodels

  ** Generated **
  Model:
    kind="operation"

### getRequiredPlugins

    org.eclipse.emf.common.util.EList<java.lang.String> getRequiredPlugins()

  Returns the value of the 'Required Plugins' attribute list. The list contents are of type `String`.

  If the meaning of the 'Required Plugins' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Required Plugins' attribute list.
  See Also:
    `GMFGenPackage.getGenPlugin_RequiredPlugins()`
  ** Generated **
  Model:

### getActivatorClassName

    java.lang.String getActivatorClassName()

  Returns the value of the 'Activator Class Name' attribute.

  If the meaning of the 'Activator Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Activator Class Name' attribute.
  See Also:
    `setActivatorClassName(String)`, `GMFGenPackage.getGenPlugin_ActivatorClassName()`
  ** Generated **
  Model:

### setActivatorClassName

    void setActivatorClassName(java.lang.String value)

  Sets the value of the '`Activator Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Activator Class Name' attribute.
  See Also:
    `getActivatorClassName()`
  ** Generated **

### getActivatorQualifiedClassName

    java.lang.String getActivatorQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.